org.cpsolver.instructor.constraints

## Class GroupConstraint.PairCheck

- java.lang.Object
- - org.cpsolver.instructor.constraints.GroupConstraint.PairCheck

- All Implemented Interfaces:
    GroupConstraint.Check
  Direct Known Subclasses:
    GroupConstraint.SimpleCheck
  Enclosing class:
    GroupConstraint

      public abstract static class GroupConstraint.PairCheck
      extends Object
      implements GroupConstraint.Check

  Group constraint check interface for constraints that can be computed on individual class pairs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PairCheck()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeConflicts(GroupConstraint.Distribution distribution, Assignment<TeachingRequest.Variable,TeachingAssignment> assignment, TeachingAssignment value, Set<TeachingAssignment> conflicts)`
    `double` | `getValue(GroupConstraint.Distribution distribution, Assignment<TeachingRequest.Variable,TeachingAssignment> assignment, Instructor instructor, TeachingAssignment value)`
    `abstract boolean` | `isSatisfied(GroupConstraint.Distribution distribution, Assignment<TeachingRequest.Variable,TeachingAssignment> assignment, Instructor instructor, Section s1, Section s2)`
    `abstract boolean` | `isViolated(GroupConstraint.Distribution distribution, Assignment<TeachingRequest.Variable,TeachingAssignment> assignment, Instructor instructor, Section s1, Section s2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PairCheck

          public PairCheck()

  - ### Method Detail

    - #### isSatisfied

          public abstract boolean isSatisfied(GroupConstraint.Distribution distribution,
                                              Assignment<TeachingRequest.Variable,TeachingAssignment> assignment,
                                              Instructor instructor,
                                              Section s1,
                                              Section s2)

    - #### isViolated

          public abstract boolean isViolated(GroupConstraint.Distribution distribution,
                                             Assignment<TeachingRequest.Variable,TeachingAssignment> assignment,
                                             Instructor instructor,
                                             Section s1,
                                             Section s2)

    - #### getValue

          public double getValue(GroupConstraint.Distribution distribution,
                                 Assignment<TeachingRequest.Variable,TeachingAssignment> assignment,
                                 Instructor instructor,
                                 TeachingAssignment value)

      Specified by:
        `getValue` in interface `GroupConstraint.Check`

    - #### computeConflicts

          public void computeConflicts(GroupConstraint.Distribution distribution,
                                       Assignment<TeachingRequest.Variable,TeachingAssignment> assignment,
                                       TeachingAssignment value,
                                       Set<TeachingAssignment> conflicts)

      Specified by:
        `computeConflicts` in interface `GroupConstraint.Check`